List Reviews
/unified/ci-cd/reviews
Query Parameters
Refer Specifying query parameters in Truto APIs
The slug of the owner on Github.
1 supported1 required
The slug of the repository on Github.
1 supported1 required
The pull request to filter reviews by.
1 supported1 required
The unique identifier of the pull request.
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.debugreturns the final unified result alongside raw remote fetch information. The response is an envelope containingresult(identical to unified mode output) anddebug(withrequestUrl,requestOptions,data,responseHeaders, and for list operations:nextCursor,isLooping,isEmptyResult,resultCount).debugisnullfor static responses or whentruto_skip_api_call=true.
Defaults to unified.
unifiedunifiedrawnormalizedstreamdebug
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
Present only when truto_response_format=debug. Contains raw fetch details: requestUrl, requestOptions, data, responseHeaders, nextCursor, isLooping, isEmptyResult, resultCount. null for static responses or when truto_skip_api_call=true.
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Reviews
The unique identifier for the review
1 supported
The author of the review
1 supported
3 properties
The unique identifier for the author
The type of the author
userbot
The username of the author
The body of the review
1 supported
2 properties
The content of the review body
The format of the body
markdownhtmlplaintext
The commit that was reviewed
1 supported
2 properties
The SHA of the commit
The URL to view the commit in the browser
The date and time when the review was created
1 supported
The pull request this review belongs to
1 supported
2 properties
The unique identifier of the pull request
The number of the pull request
Raw data returned from the remote API call.
The status of the review
approvedsuggested_changescommenteddismissedpending
1 supported
The date and time when the review was submitted
1 supported
The date and time when the review was last updated
URLs associated with the review
1 supported
2 properties
The type of the URL
reviewpull_request
The URL
curl -X GET 'https://api.truto.one/unified/ci-cd/reviews?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/ci-cd/reviews?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ci-cd/reviews"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'ci-cd',
'reviews',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"ci-cd",
"reviews",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())